pub use ed25519_dalek::{Keypair, PublicKey};

pub enum TrustLevel {
    Unknown,
    Distrusted,
    // Future extension
    // Transitively,
    Ultimately,
}

pub struct TrustDB {}

pub struct KeyExchangeInitiate {}

impl crate::msg::MessageParams for KeyExchangeInitiate {
    const NAME: &'static str = "KeyExchangeInitiate";
    const ENCRYPTED: bool = false;
}

pub enum KeyExchange {
    WaitForResponse(x25519_dalek::PublicKey),
    Completed(SymmetricKey),
}

pub struct SymmetricKey {
    key: [u8; 16],
    nonce: [u8; 16],
}
